<?php

if (file_exists(dirname(__file__) . '/duplicate.php')) {
    require_once( dirname(__file__) . '/duplicate.php' );
}

function shift_schedule_698_init_custom_box_schedule_user() {

    require_once( dirname(__file__) . '/custom-meta-box/custom-meta-box.php' );
    $config = array(
            'id'     => 'custom_meta_box',
            'priority' => 'high',    
            'title'  => __('Custom Meta Box', 'shift-schedule'),
            'pages'  => array('schedule-user'),
            'fields' => array(
                    array(
                        'id'    => 'free',
                        'type'  => 'number',
                        'label' => __('Free days:', 'shift-schedule'),
                        'description' => __('Remaining days of leave', 'shift-schedule'),
                        'decimal' => '',
                        'separator' => ''
                    ),
                    array(
                        'id'    => 'hours',
                        'type'  => 'number',
                        'label' => __('Work hours:', 'shift-schedule'),
                        'description' => __('Number of working hours per day', 'shift-schedule'),
                        'decimal' => '.',
                        'separator' => ''
                    )
                ) 
        );
        
    $custom_meta_box = new Dovi42_Custom_Meta_Box($config);    
}
add_action( 'plugins_loaded', 'shift_schedule_698_init_custom_box_schedule_user' );
